#version 150
precision highp float;

uniform mat4 projectionMatrix;
uniform mat4 viewingMatrix;
uniform mat4 modelMatrix;

in vec3 position;
in vec3 normal;
in vec2 texCoord;

out float fragEyespaceDepth;
out vec2 fragTexCoord;

void main()
{	
	vec4 fragEyespacePos = viewingMatrix * modelMatrix * vec4(position, 1.0);
	gl_Position = projectionMatrix * fragEyespacePos;
	
	fragTexCoord = texCoord;
	
	fragEyespaceDepth = fragEyespacePos.z;
}