#version 150

precision highp float;

uniform float focalDistance, focalRange;
uniform sampler2D colorTexture;
uniform sampler2D depthTexture;

in vec2 fragTexCoord;

out vec4 fragColor;

void main (void)
{
	//vec4 PosWV = gl_ModelViewMatrix * vec4(position, 1.0);
	float PosWV = texture2D(depthTexture, fragTexCoord).x;

	float Blur = clamp(abs(-PosWV - focalDistance) / focalRange, 0.0, 1.0);
	
	fragColor = vec4(texture2D(colorTexture, fragTexCoord).rgb, Blur);
}