#version 150
precision highp float;

uniform sampler2D texture;
uniform sampler2D depthTexture;

in float fragEyespaceDepth;
in vec2 fragTexCoord;
in vec4 depthTexCoord;

out vec4 fragColor;

void main()
{
	vec3 tex_coords = depthTexCoord.xyz / depthTexCoord.w;
	
	float depth = texture2D(depthTexture, tex_coords.xy).x;
	
	if (fragEyespaceDepth > depth)
	{
		fragColor = texture2D(texture, fragTexCoord);
	} else
	{
		discard;
	}
}