#version 150
precision highp float;

uniform mat4 projectionMatrix;
uniform mat4 viewingMatrix;
uniform mat4 modelMatrix;

uniform mat4 mappingMatrix;

in vec3 position;
in vec3 normal;
in vec2 texCoord;

out vec2 fragTexCoord;
out float fragEyespaceDepth;
out vec4 depthTexCoord;

void main()
{	
	vec4 fragEyespacePos = viewingMatrix * modelMatrix * vec4(position, 1.0);
	gl_Position = projectionMatrix * fragEyespacePos;
	
	fragEyespaceDepth = fragEyespacePos.z;
	
	fragTexCoord = texCoord;
	
	depthTexCoord = mappingMatrix * gl_Position;
}