#version 150
precision highp float;

uniform mat4 projectionMatrix;
uniform mat4 viewingMatrix;
uniform mat4 skyboxModelMatrix;

in vec3 position;
in vec3 normal;
in vec2 texCoord;

out vec2 fragTexCoord;
out float fragEyespaceDepth;

void main()
{
	vec4 fragEyespacePos = viewingMatrix * skyboxModelMatrix * vec4(position, 1.0);
	
	fragEyespaceDepth = fragEyespacePos.z;
	
	gl_Position = projectionMatrix * fragEyespacePos;
	
	fragTexCoord = texCoord;
}